# Enable LTO
%global optflags        %{optflags} -flto
%global build_ldflags   %{build_ldflags} -flto

%global appname com.github.lainsce.coin

Name:           coin
Version:        1.2.6
Release:        2%{?dist}
Summary:        Track the virtual currencies in real world currency value

License:        GPLv3+
URL:            https://github.com/lainsce/coin
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  vala
Requires:       hicolor-icon-theme

%description
Track the virtual currencies in real world currency value with this handy
applet.

- Choose which currency and virtual currency to use for tracking
- Quit anytime with the shortcut Ctrl + Q
- Move the applet by dragging it from anywhere in the window
- Stays out of your way in the desktop

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appname}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appname}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files -f %{appname}.lang
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{appname}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.appdata.xml

%changelog
* Mon Aug 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.6-2
- Initial package
